﻿using System.IO;
using System.Net;
using System.Threading.Tasks;

namespace RssReader.Model
{
    public class Downloader
    {
        public async Task<string> GetRssFeed(string feedUrl)
        {
            var request = (HttpWebRequest)WebRequest.Create(feedUrl);
            request.Method = "GET";

            var response = (HttpWebResponse)await request.GetResponseAsync();
            var stream = new StreamReader(response.GetResponseStream());
            var result = stream.ReadToEnd();
            return result;
        }
    }
}