﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using RssReader.Model;

namespace RssReader.Design
{
    public class DesignRssService : IRssService
    {
        public Task<IList<RssArticle>> GetArticles()
        {
            var result = new List<RssArticle>();

            for (var index = 0; index < 15; index++)
            {
                result.Add(GetArticle(index));
            }

            return Task.FromResult<IList<RssArticle>>(result);
        }

        internal static RssArticle GetArticle(int index)
        {
            return new RssArticle
            {
                Title =
                    "This is a really really really really really really really really really really really really really really really really really really really really really really really really really really really really really really long title # "
                        + index,
                Summary =
                    "When Mr. Bilbo Baggins of Bag End announced that he would shortly be celebrating his eleventy-first birthday with a party of special magnificence, there was much talk and excitement in Hobbiton. Bilbo was very rich and very peculiar, and had been the wonder of the Shire for sixty years, ever since his remarkable disappearance and unexpected return.",
                Link = new Uri(string.Format("http://www.cnn{0}.com", index))
            };
        }
    }
}