﻿using System;
using GalaSoft.MvvmLight;

namespace RssReader.Model
{
    public class RssArticle
    {
        public Uri Link
        {
            get;
            set;
        }

        public string Summary
        {
            get;
            set;
        }

        public string Title
        {
            get;
            set;
        }

        public RssArticle()
        {
#if DEBUG
            if (ViewModelBase.IsInDesignModeStatic)
            {
                Title =
                    "This is a really really really really really really really really really really really really really really really really really really really really really really really really really really really really really really long title";
                Summary =
                    "When Mr. Bilbo Baggins of Bag End announced that he would shortly be celebrating his eleventy-first birthday with a party of special magnificence, there was much talk and excitement in Hobbiton. Bilbo was very rich and very peculiar, and had been the wonder of the Shire for sixty years, ever since his remarkable disappearance and unexpected return.";
            }
#endif
        }
    }
}